Subject: Re: [PATCH] submodule: deprecate --recurse-submodules=""

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Aug 2023 13:26:09 -0700

Taylor Blau <[email-masked]> writes:

> So here we'd be doing the equivalent of
>
>     *v = RECURSE_SUBMODULES_OFF;
>
> when trying to parse `--recurse-submodules=""`. Should this advice
> instead say "[...] Use --no-recurse-submodules without an argument,
> which does the same thing"?

Sounds right.  So there is nothing to change here, I guess.

If --recurse-submodules="" does something people do not expect to
happen, an warning might be warranted, but I somehow do not think
that is the case here.  If we are not hurting anybody by accepting
that (possibly unusual) form, I do not think we would want to add an
extra warning, either.

Thanks.